package com.realnet.basicp1.Services;
import com.realnet.basicp1.Repository.FormaRepository;
import com.realnet.basicp1.Entity.Forma
;import java.util.*;

import org.springframework.beans.factory.annotation.Autowired;
import com.realnet.SequenceGenerator.Service.SequenceService;
import org.springframework.data.domain.Page;
import com.realnet.realm.Entity.Realm;
import com.realnet.realm.Services.RealmService;
import org.springframework.data.domain.Pageable;
import org.springframework.http.*;
import com.realnet.users.service1.AppUserServiceImpl;
import com.realnet.users.entity1.AppUser;












	import org.springframework.stereotype.Service;

@Service
 public class FormaService {
@Autowired
private FormaRepository Repository;
	@Autowired
	private AppUserServiceImpl userService; 
@Autowired
	private RealmService realmService;











public Forma Savedata(Forma data) {












	data.setUpdatedBy(getUser().getUserId());
		data.setCreatedBy(getUser().getUserId());
		data.setAccountId(getUser().getAccount().getAccount_id());
Forma save = Repository.save(data);
				return save;	
			}


//	get all with pagination
	public Page<Forma> getAllWithPagination(Pageable page) {
		return Repository.findAll(page, getUser().getUserId());
	}			
public List<Forma> getdetails() {  
		List<Realm> realm = realmService.findByUserId(getUser().getUserId());
List<Forma> all = Repository.findAll(getUser().getUserId());
		
		return all ;		}


public Forma getdetailsbyId(Integer id) {
	return Repository.findById(id).get();
			}


	public void delete_by_id(Integer id) {
 Repository.deleteById(id);
}


public Forma update(Forma data,Integer id) {
	Forma old = Repository.findById(id).get();
old.setName(data.getName());

old.setRadio_field(data.getRadio_field());

  
 
old.setA(data.isA());
   


  

old.setCurrency(data.getCurrency());

old.setQrcode_field(data.getQrcode_field());

old.setBarcode_field(data.getBarcode_field());

final Forma test = Repository.save(old);
		data.setUpdatedBy(getUser().getUserId());
  return test;} 












 public AppUser getUser() {
		AppUser user = userService.getLoggedInUser();
		return user;

	}}
